<mat-toolbar>Signos vitales</mat-toolbar>

<router-outlet></router-outlet>

<div [hidden]="route.children.length !== 0">

    <div class="example-header">
        <mat-form-field>
            <input matInput (keyup)="filtrar($event.target.value)" placeholder="Buscar paciente">
        </mat-form-field>
    </div>

    <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">

        <ng-container matColumnDef="idSignos">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
            <td mat-cell *matCellDef="let element"> {{element.idSignos}} </td>
        </ng-container>

        <ng-container matColumnDef="paciente">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Paciente </th>
            <td mat-cell *matCellDef="let element"> {{ element.paciente.apellidos + ' '+ element.paciente.nombres }}
            </td>
        </ng-container>

        <ng-container matColumnDef="temperatura">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Temperatura </th>
            <td mat-cell *matCellDef="let element"> {{element.temperatura}} </td>
        </ng-container>

        <ng-container matColumnDef="pulso">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Pulso </th>
            <td mat-cell *matCellDef="let element"> {{element.pulso}} </td>
        </ng-container>

        <ng-container matColumnDef="ritmo">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Ritmo </th>
            <td mat-cell *matCellDef="let element"> {{element.ritmo}} </td>
        </ng-container>

        <ng-container matColumnDef="acciones">
            <th mat-header-cell *matHeaderCellDef> Acciones </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="primary" [routerLink]="['edicion', element.idSignos]">
                    <mat-icon>ballot</mat-icon>
                </button>
                <button mat-button color="primary" (click)="eliminar(element.idSignos)">
                    <mat-icon>delete</mat-icon>
                </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>

    <mat-paginator [pageSize]="10" [pageSizeOptions]="[5, 10, 25, 100]" [length]="cantidad" (page)="mostrarMas($event)">
    </mat-paginator>

</div>

<button mat-fab color="accent" style="float: right" routerLink="/pages/signos/nuevo">
    <mat-icon>add</mat-icon>
</button>